Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc
Interface ISVNAddParameters

public interface ISVNAddParameters

Version:
  1.1.1
Author:
  TMate Software Ltd.
See Also:
  `DefaultSVNCommitParameters`

Nested Class Summary
`static class` | `ISVNAddParameters.Action` This class is simply used to define an action add operation should undertake in case of a inconsistent EOLs.

Field Summary
`static ISVNAddParameters.Action` | `ADD_AS_BINARY`
`static ISVNAddParameters.Action` | `ADD_AS_IS`
`static ISVNAddParameters.Action` | `REPORT_ERROR`

Method Summary
`ISVNAddParameters.Action` | `onInconsistentEOLs(File file)`

Field Detail

### ADD_AS_BINARY

    public static final ISVNAddParameters.Action ADD_AS_BINARY

### ADD_AS_IS

    public static final ISVNAddParameters.Action ADD_AS_IS

### REPORT_ERROR

    public static final ISVNAddParameters.Action REPORT_ERROR

Method Detail

### onInconsistentEOLs

    public ISVNAddParameters.Action onInconsistentEOLs(File file)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.